using Exferia_Aplicacion.General;
using Exferia_Aplicacion.Modelos_Generales;
using Exferia_Aplicacion.Modelos_Listado_Filtros;
using Exferia_Aplicacion.Visualizacion;
using Exferia_EntityFramework;
using Exferia_Ventas._0_Modelos;
using Exferia_Ventas.General;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static Exferia_Aplicacion.General.Enumerados;

namespace Exferia_Ventas._3_Vistas.ListadosSeleccion
{
    public class ABS_ListadoSeleccion_SRV_Relacion_ClienteProveedor : ABS_ListadoSeleccion
    {
        public override List<dynamic> LISTADO()
        {
            return Registros;
        }

        public override string NOMBRELISTADO_ALMACENARCONFIGURACION()
        {
            return nameof(Variables.G_STR_OPCION_SRV_RELACION_CLIENTEPROVEEDOR) + "_SoloSeleccion";
        }

        public override Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo> LISTADO_COLUMNAS()
        {
            Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo> dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo = new Dictionary<string, INTERNO_ABS_Listado_ColumnasDatos_Modelo>();

            //id
            dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_RelacionClienteProveedor_Modelo.id), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(true, nameof(INTERNO_RelacionClienteProveedor_Modelo.id), "id", G_ENUM_TIPOSDATOS.LONG, true, 0, false, false, true, false, "", null));

            //codigo
            dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_RelacionClienteProveedor_Modelo.codigo), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_RelacionClienteProveedor_Modelo.codigo), "Código", G_ENUM_TIPOSDATOS.LONG_TEXT, false, 90, true, true, true, false, "", null));

            //descripcion
            dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_RelacionClienteProveedor_Modelo.descripcion), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_RelacionClienteProveedor_Modelo.descripcion), "Descripción", G_ENUM_TIPOSDATOS.TEXT, false, 250, true, true, true, false, "", null));

            //Proveedor
            INTERNO_Filtro_Relacionadas_Modelo mdl_INTERNO_Filtro_Relacionadas_Modelo_PROVEEDOR = new INTERNO_Filtro_Relacionadas_Modelo(nameof(INTERNO_RelacionClienteProveedor_Modelo.idProveedor), nameof(MAE_Proveedores), nameof(MAE_Proveedores.id), nameof(MAE_Proveedores.codigo), nameof(MAE_Proveedores.razonSocial), nameof(MAE_Proveedores.fechaBorrado));
            dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_RelacionClienteProveedor_Modelo.Proveedor), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_RelacionClienteProveedor_Modelo.Proveedor), "Proveedor", G_ENUM_TIPOSDATOS.RELACIONADA, false, 250, true, false, false, true, "", null, false, null, mdl_INTERNO_Filtro_Relacionadas_Modelo_PROVEEDOR));
           
            //PieImpresion
            INTERNO_Filtro_Relacionadas_Modelo mdl_INTERNO_Filtro_Relacionadas_Modelo_PIEIMPRESION = new INTERNO_Filtro_Relacionadas_Modelo(nameof(INTERNO_RelacionClienteProveedor_Modelo.idPieImpresion), nameof(MAE_PieImpresiones), nameof(MAE_PieImpresiones.id), nameof(MAE_PieImpresiones.codigo), nameof(MAE_PieImpresiones.descripcion), nameof(MAE_PieImpresiones.fechaBorrado));
            dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_RelacionClienteProveedor_Modelo.PieImpresion), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_RelacionClienteProveedor_Modelo.PieImpresion), "Pei de Impresion", G_ENUM_TIPOSDATOS.RELACIONADA, false, 250, true, false, false, true, "", null, true, null, mdl_INTERNO_Filtro_Relacionadas_Modelo_PIEIMPRESION));

            //AgrupacionesArticuloCabecera
            INTERNO_Filtro_Relacionadas_Modelo mdl_INTERNO_Filtro_Relacionadas_Modelo_AGRUPACIONARTICULOCABECERA = new INTERNO_Filtro_Relacionadas_Modelo(nameof(INTERNO_RelacionClienteProveedor_Modelo.idAgrupacionArticuloCabecera), nameof(MAE_AgrupacionesArticulosCabeceras), nameof(MAE_AgrupacionesArticulosCabeceras.id), nameof(MAE_AgrupacionesArticulosCabeceras.codigo), nameof(MAE_AgrupacionesArticulosCabeceras.descripcion), nameof(MAE_AgrupacionesArticulosCabeceras.fechaBorrado));
            dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_RelacionClienteProveedor_Modelo.AgrupacionArticuloCabecera), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_RelacionClienteProveedor_Modelo.AgrupacionArticuloCabecera), "Agrupacion Articulo Cabecera", G_ENUM_TIPOSDATOS.RELACIONADA, false, 250, true, false, false, true, "", null, true, null, mdl_INTERNO_Filtro_Relacionadas_Modelo_AGRUPACIONARTICULOCABECERA));

            //AgrupacionesArticuloLinea
            INTERNO_Filtro_Relacionadas_Modelo mdl_INTERNO_Filtro_Relacionadas_Modelo_AGRUPACIONARTICULOLINEA = new INTERNO_Filtro_Relacionadas_Modelo(nameof(INTERNO_RelacionClienteProveedor_Modelo.idAgrupacionArticuloLinea), nameof(MAE_AgrupacionesArticulosLineas), nameof(MAE_AgrupacionesArticulosLineas.id), nameof(MAE_AgrupacionesArticulosLineas.codigo), nameof(MAE_AgrupacionesArticulosLineas.descripcion), nameof(MAE_AgrupacionesArticulosLineas.fechaBorrado));
            dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_RelacionClienteProveedor_Modelo.AgrupacionArticuloLinea), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_RelacionClienteProveedor_Modelo.AgrupacionArticuloLinea), "Agrupacion Articulo Linea", G_ENUM_TIPOSDATOS.RELACIONADA, false, 250, true, false, false, true, "", null, true, null, mdl_INTERNO_Filtro_Relacionadas_Modelo_AGRUPACIONARTICULOLINEA));

            //NomneclaturaPrecio
            INTERNO_Filtro_Relacionadas_Modelo mdl_INTERNO_Filtro_Relacionadas_Modelo_NOMENCLATURAPRECIO = new INTERNO_Filtro_Relacionadas_Modelo(nameof(INTERNO_RelacionClienteProveedor_Modelo.modoImpresion_idNomenclaturaPrecio), nameof(MAE_NomenclaturasPrecios), nameof(MAE_NomenclaturasPrecios.id), nameof(MAE_NomenclaturasPrecios.codigo), nameof(MAE_NomenclaturasPrecios.descripcion), nameof(MAE_NomenclaturasPrecios.fechaBorrado));
            dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo.Add(nameof(INTERNO_RelacionClienteProveedor_Modelo.NomenclaturaPrecio), new INTERNO_ABS_Listado_ColumnasDatos_Modelo(false, nameof(INTERNO_RelacionClienteProveedor_Modelo.NomenclaturaPrecio), "Nomenclatura precio", G_ENUM_TIPOSDATOS.RELACIONADA, false, 250, true, false, false, true, "", null, true, null, mdl_INTERNO_Filtro_Relacionadas_Modelo_NOMENCLATURAPRECIO));

            return dct_INTERNO_ABS_Listado_ColumnasDatos_Modelo;
        }

        public override string ORDENACION_NOMBRECOLUMNA_PORDEFECTO()
        {
            return nameof(INTERNO_RelacionClienteProveedor_Modelo.codigo);
        }

        public override string ORDENACION_TIPO_PORDEFECTO()
        {
            return "0";
        }

        public override INTERNO_OpcionesDetalle_Modelo DATOS_OPCION()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_1()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_2()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_3()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_4()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_5()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_6()
        {
            return null;
        }

        public override INTERNO_Listado_BotonesAuxiliares_Modelo BOTONAUXILIAR_7()
        {
            return null;
        }

        public override List<INTERNO_ArbolSecundarioSeleccion_Modelo> LISTADO_ARBOLSECUNDARIOSELECCION()
        {
            return null;
        }

        public override List<INTERNO_Listado_Paginado_Filtro_Modelo> FILTRADO_PARAPAGINADO()
        {
            return null;
        }

        public override List<string> LISTADOCAMPOS_ENVIAR_A_MANTENIMIENTO()
        {
            return null;
        }
    }
}
